Schema "fpml-collateral-processes-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  25 global elements, 269 local elements, 89 complexTypes, 15 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-collateral-processes-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-business-events-5-3.xsd [src], fpml-reconciliation-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

Annotation
Collateral Messages

All Element Summary
accruedInterestAmount |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
agreedAmount (in marginCallStatus) | The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message.
Type: | AgreedAmount
Content: | complex, 5 elements
Defined: | locally witnin MarginCallStatus complexType; see XML source
agreedAmount (in requestCollateralAcceptance) | The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message.
Type: | AgreedAmount
Content: | complex, 5 elements
Defined: | locally witnin RequestCollateralAcceptance complexType; see XML source
amount (defined in DeliverReturn.model group) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DeliverReturn.model group; see XML source
amount (in letterOfCredit) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin LetterOfCredit complexType; see XML source
amount (in threshold) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin Threshold complexType; see XML source
amount (in transferRounding) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin TransferRounding complexType; see XML source
assetReference (in cash defined in ProposedCollateralDeliveryReturn complexType) | Refers to the asset which specifies the currency of the cash being delivered or returned.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
assetReference (in security) |
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin SecurityDeliveryReturn complexType; see XML source
assets (defined in SubstituteReturnConfirmationStatus complexType) | The list of assets being moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin SubstituteReturnConfirmationStatus complexType; see XML source
assets (in collateralProposalStatus) | The list of assets to be moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin CollateralProposalStatus complexType; see XML source
assets (in requestCollateralAcceptance) | The list of assets to be moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin RequestCollateralAcceptance complexType; see XML source
assets (in requestMargin) | The list of assets to be moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin RequestMargin complexType; see XML source
assets (in requestSubstitution) | The list of assets being moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin RequestSubstitution complexType; see XML source
assets (in substitutionStatus) | The list of assets being moved.
Type: | Assets
Content: | complex, 1 element
Defined: | locally witnin SubstitutionStatus complexType; see XML source
baseCurrency (in disputeNotification) | Denomination currency as specified in the margin agreement.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin DisputeNotification complexType; see XML source
baseCurrency (in marginCallStatus) | Denomination currency as specified in the margin agreement.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin MarginCallStatus complexType; see XML source
baseCurrency (in requestMargin) | Denomination currency as specified in the margin agreement.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin RequestMargin complexType; see XML source
bothDirections (defined in InterestDirection complexType) |
Type: | BothDirectionsInterestRequirement
Content: | complex, 3 elements
Defined: | locally witnin InterestDirection complexType; see XML source
bothDirections (defined in InterestStatementDirection complexType) |
Type: | BothDirectionsInterestStatementRequirement
Content: | complex, 1 element
Defined: | locally witnin InterestStatementDirection complexType; see XML source
calculationDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
calculationType |
Type: | InterestCalculationTypeEnum
Content: | simple
Defined: | locally witnin InterestCalculationTerms complexType; see XML source
cash (defined in ProposedCollateralDeliveryReturn complexType) |
Type: | CashDeliveryReturn
Content: | complex, 6 elements
Defined: | locally witnin ProposedCollateralDeliveryReturn complexType; see XML source
cashType | Specifies cash as type of expected collateral.
Type: | CashType
Content: | complex, 1 element
Defined: | locally witnin ExpectedCollateralDelivery complexType; see XML source
collateral (defined in MarginDetails.model group) |
Type: | CollateralBalance
Content: | complex, 3 elements
Defined: | locally witnin MarginDetails.model group; see XML source
collateralAcceptanceAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
collateralAcceptanceException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
collateralProposalStatus |
Type: | CollateralProposalStatus
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
collateralResponseReason |
Type: | CollateralResponseReason
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateralResponse complexType; see XML source
collateralRetractionReason (in disputeRetracted) |
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin DisputeRetracted complexType; see XML source
collateralRetractionReason (in interestStatusRetracted) | Defines a list of collateral retraction reason codes.
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin InterestStatusRetracted complexType; see XML source
collateralRetractionReason (in marginCallStatusRetracted) |
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin MarginCallStatusRetracted complexType; see XML source
collateralRetractionReason (in requestInterestRetracted) | Defines a list of collateral retraction reason codes.
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin RequestInterestRetracted complexType; see XML source
collateralRetractionReason (in requestMarginRetracted) | Defines a list of collateral retraction reason codes.
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin RequestMarginRetracted complexType; see XML source
collateralRetractionReason (in requestSubstitutionRetracted) | Defines a list of collateral retraction reason codes.
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin RequestSubstitutionRetracted complexType; see XML source
collateralRetractionReason (in substitutionStatusRetracted) | Defines a list of collateral retraction reason codes.
Type: | CollateralRetractionReason
Content: | complex, 3 elements
Defined: | locally witnin SubstitutionStatusRetracted complexType; see XML source
collateralValue (in cash defined in ProposedCollateralDeliveryReturn complexType) | This is the value of the proposed collateral after the application of the haircut.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
collateralValue (in letterOfCredit) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin LetterOfCredit complexType; see XML source
collateralValue (in security) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin SecurityDeliveryReturn complexType; see XML source
comment (in interestStatement) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin InterestStatement complexType; see XML source
comment (in requestInterest) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin RequestInterest complexType; see XML source
convention (defined in IndependentAmountType complexType) |
Type: | IndependentAmountConventionEnum
Content: | simple
Defined: | locally witnin IndependentAmountType complexType; see XML source
convention (in markToMarket) | Specifies whether the exposure should be treated on a net or gross basis.
Type: | MarkToMarketConventionEnum
Content: | simple
Defined: | locally witnin MarkToMarket complexType; see XML source
creditSupportAgreement (defined in SubstituteReturnConfirmationStatus complexType) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin SubstituteReturnConfirmationStatus complexType; see XML source
creditSupportAgreement (in disputeNotification) | References the legal agreement.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin DisputeNotification complexType; see XML source
creditSupportAgreement (in interestStatement) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin InterestStatement complexType; see XML source
creditSupportAgreement (in interestStatus) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin InterestStatus complexType; see XML source
creditSupportAgreement (in marginCallStatus) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin MarginCallStatus complexType; see XML source
creditSupportAgreement (in requestInterest) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin RequestInterest complexType; see XML source
creditSupportAgreement (in requestMargin) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin RequestMargin complexType; see XML source
creditSupportAgreement (in requestSubstitution) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin RequestSubstitution complexType; see XML source
creditSupportAgreement (in substitutionStatus) | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin SubstitutionStatus complexType; see XML source
cumulativeInterestAmount |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
currency (defined in DeliverReturn.model group) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin DeliverReturn.model group; see XML source
currency (in cashType) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CashType complexType; see XML source
currency (in marginTerm) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin MarginTerm complexType; see XML source
dailyInterestCalculation | Specifies the interest calculations for one day of the interest period.
Type: | DailyInterestCalculation
Content: | complex, 9 elements
Defined: | locally witnin InterestCalculationDetails complexType; see XML source
dayCountFraction (in interestCalculationTerms) |
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin InterestCalculationTerms complexType; see XML source
deliver (defined in ExpectedCollateralDeliveryReturn complexType) |
Type: | ExpectedCollateralDelivery
Content: | complex, 3 elements
Defined: | locally witnin ExpectedCollateralDeliveryReturn complexType; see XML source
deliver (defined in ProposedCollateral complexType) | proposed collateral to be delivered
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin ProposedCollateral complexType; see XML source
deliver (defined in SubstituteCollateral complexType) |
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin SubstituteCollateral complexType; see XML source
deliver (defined in SubstituteCollateral complexType) | return details for substitute collateral
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin SubstituteCollateral complexType; see XML source
deliver (defined in VariationRequirement complexType) | variation margin to be delivered
Type: | MarginRequirementDeliver
Content: | complex, 4 elements
Defined: | locally witnin VariationRequirement complexType; see XML source
deliveringPartyReference (defined in DeliverReturn.model group) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DeliverReturn.model group; see XML source
deliveringPartyReference (defined in InterestAccrued complexType) | The party delivering the accrued interest.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestAccrued complexType; see XML source
deliveringPartyReference (defined in ProposedCollateralDeliveryReturn complexType) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ProposedCollateralDeliveryReturn complexType; see XML source
description (defined in CollateralRetractionReason complexType) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin CollateralRetractionReason complexType; see XML source
description (defined in CollateralRetractionReason complexType) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin CollateralRetractionReason complexType; see XML source
description (defined in SubstitutionConfirmation complexType) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin SubstitutionConfirmation complexType; see XML source
description (in collateralResponseReason) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin CollateralResponseReason complexType; see XML source
description (in collateralResponseReason) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin CollateralResponseReason complexType; see XML source
description (in disputeResolutionMethod) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin DisputeResolutionMethod complexType; see XML source
description (in disputeResolutionMethod) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin DisputeResolutionMethod complexType; see XML source
description (in interestResponseReason) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin InterestResponseReason complexType; see XML source
description (in interestResponseReason) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin InterestResponseReason complexType; see XML source
description (in letterOfCreditType) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin LetterOfCreditType complexType; see XML source
description (in marginCallResponseReason) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin MarginCallResponseReason complexType; see XML source
description (in marginCallResponseReason) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin MarginCallResponseReason complexType; see XML source
description (in securityType) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin SecurityType complexType; see XML source
description (in substitutionResponseReason) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin SubstitutionResponseReason complexType; see XML source
description (in substitutionResponseReason) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin SubstitutionResponseReason complexType; see XML source
direction |
Type: | RoundingDirectionEnum
Content: | simple
Defined: | locally witnin TransferRounding complexType; see XML source
dirtyPrice | Bond dirty price, expressed in percentage points, 100 is the initial value of the bond.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin NominalAmount.model group; see XML source
disputeAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
disputedAmount | This is confirmation of the amount being disputed this would be the difference between the undisputed amount and the call amount from the requestMargin message.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DisputedCollateral complexType; see XML source
disputeDate | This is the date from which the Dispute is deemed by the sending party to have occurred on.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DisputedCollateral complexType; see XML source
disputeException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
disputeNotification |
Type: | DisputeNotification
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Used: | never
disputeResolutionMethod | The disputeResolutionMethod can consist of either a resolutionCode and description, a resolution code only or a description only.
Type: | DisputeResolutionMethod
Content: | complex, 3 elements
Defined: | locally witnin DisputedCollateral complexType; see XML source
disputeRetracted |
Type: | DisputeRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
effectivePrincipalAmount |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
effectiveRate |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
expectedCollateral (defined in ProposedCollateralResponse complexType) |
Type: | ExpectedCollateralDeliveryReturn
Content: | complex, 2 elements
Defined: | locally witnin ProposedCollateralResponse complexType; see XML source
expectedCollateral (in requestMargin) | Structure that allows for the definition of collateral that the party making the margin call would prefer to receive or have returned.
Type: | ExpectedCollateral
Content: | complex, 3 elements
Defined: | locally witnin RequestMargin complexType; see XML source
exposedPartyReference | The party that is exposed.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarkToMarketExposureParty.model group; see XML source
exposure (in markToMarket) |
Type: | Exposure
Content: | complex, 3 elements
Defined: | locally witnin MarkToMarket complexType; see XML source
exposureAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Exposure complexType; see XML source
giverPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GiverTaker.model group; see XML source
grossTreatment |
Type: | GrossTreatment
Content: | complex, 1 element
Defined: | locally witnin BothDirectionsInterestRequirement complexType; see XML source
haircut (in cash defined in ProposedCollateralDeliveryReturn complexType) | The amount to which the collaterals market value will be discounted to take into account the ability to realize the value of that collateral.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
haircut (in letterOfCredit) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin LetterOfCredit complexType; see XML source
haircut (in security) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin SecurityDeliveryReturn complexType; see XML source
heldCollateral (defined in MarginCollateral complexType) |
Type: | HeldCollateral
Content: | complex, 3 elements
Defined: | locally witnin MarginCollateral complexType; see XML source
heldCollateral (defined in MarginCollateral complexType) | held collateral
Type: | HeldCollateral
Content: | complex, 3 elements
Defined: | locally witnin MarginCollateral complexType; see XML source
holdingPartyReference | The party holding the collateral.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin HeldCollateral complexType; see XML source
identifier (in letterOfCredit) |
Type: | ContractIdentifier
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin LcSummary complexType; see XML source
independentAmount (defined in MarginDetails.model group) |
Type: | AggregatedIndependentAmount
Content: | complex, 3 elements
Defined: | locally witnin MarginDetails.model group; see XML source
index (in interestCalculationTerms) |
Type: | FloatingRateIndex
Content: | simple, 1 attribute
Defined: | locally witnin InterestCalculationTerms complexType; see XML source
interest (defined in InterestAccrued complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InterestAccrued complexType; see XML source
interestAccrued (in bothDirections defined in InterestDirection complexType) |
Type: | InterestAccrued
Content: | complex, 7 elements
Defined: | locally witnin BothDirectionsInterestRequirement complexType; see XML source
interestAccrued (in bothDirections defined in InterestStatementDirection complexType) |
Type: | InterestAccrued
Content: | complex, 7 elements
Defined: | locally witnin BothDirectionsInterestStatementRequirement complexType; see XML source
interestAccrued (in singleDirection defined in InterestDirection complexType) |
Type: | InterestAccrued
Content: | complex, 7 elements
Defined: | locally witnin SingleDirectionInterestRequirement complexType; see XML source
interestAccrued (in singleDirection defined in InterestStatementDirection complexType) |
Type: | InterestAccrued
Content: | complex, 7 elements
Defined: | locally witnin SingleDirectionInterestStatementRequirement complexType; see XML source
interestApproved |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin InterestResponse complexType; see XML source
interestCalculationDetails | Details optional calculations for each day of the interest period.
Type: | InterestCalculationDetails
Content: | complex, 1 element
Defined: | locally witnin InterestAccrued complexType; see XML source
interestCalculationTerms | Specifies the terms of the interest calculations.
Type: | InterestCalculationTerms
Content: | complex, 4 elements
Defined: | locally witnin InterestAccrued complexType; see XML source
interestPeriod (in interestRequirement in interestStatement) |
Type: | InterestPeriod
Content: | complex, 2 elements
Defined: | locally witnin InterestStatementRequirement complexType; see XML source
interestPeriod (in interestRequirement in requestInterest) |
Type: | InterestPeriod
Content: | complex, 2 elements
Defined: | locally witnin InterestRequirement complexType; see XML source
interestRequirement (in interestStatement) |
Type: | InterestStatementRequirement
Content: | complex, 4 elements
Defined: | locally witnin InterestStatement complexType; see XML source
interestRequirement (in requestInterest) |
Type: | InterestRequirement
Content: | complex, 4 elements
Defined: | locally witnin RequestInterest complexType; see XML source
interestResponseReason |
Type: | InterestResponseReason
Content: | complex, 3 elements
Defined: | locally witnin InterestResponse complexType; see XML source
interestStatement |
Type: | InterestStatement
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Used: | never
interestStatus |
Type: | InterestStatus
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
interestStatusRetracted |
Type: | InterestStatusRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
issuerPartyReference (in interestStatement) | The party issuing the interest statement.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatement complexType; see XML source
issuerPartyReference (in interestStatus) | The party issuing the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatus complexType; see XML source
issuerPartyReference (in interestStatusRetracted) | The party issuing the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatusRetracted complexType; see XML source
issuerPartyReference (in requestInterest) | The party issuing the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestInterest complexType; see XML source
issuerPartyReference (in requestInterestRetracted) | The party issuing the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestInterestRetracted complexType; see XML source
jurisdiction (in withholdingTaxTerms) |
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin WithholdingTaxTerms complexType; see XML source
letterOfCredit |
Type: | LetterOfCredit
Content: | complex, 6 elements
Defined: | locally witnin ProposedCollateralDeliveryReturn complexType; see XML source
letterOfCreditType | Specifies a letter of credit as type of expected collateral.
Type: | LetterOfCreditType
Content: | complex, 1 element
Defined: | locally witnin ExpectedCollateralDelivery complexType; see XML source
marginAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
marginCallAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin MarginCallResult.model group; see XML source
marginCallIssuerPartyReference (in collateralProposalStatus) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CollateralProposalStatus complexType; see XML source
marginCallIssuerPartyReference (in disputeNotification) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DisputeNotification complexType; see XML source
marginCallIssuerPartyReference (in disputeRetracted) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DisputeRetracted complexType; see XML source
marginCallIssuerPartyReference (in marginCallStatus) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarginCallStatus complexType; see XML source
marginCallIssuerPartyReference (in marginCallStatusRetracted) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarginCallStatusRetracted complexType; see XML source
marginCallIssuerPartyReference (in requestCollateralAcceptance) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestCollateralAcceptance complexType; see XML source
marginCallIssuerPartyReference (in requestMargin) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestMargin complexType; see XML source
marginCallIssuerPartyReference (in requestMarginRetracted) | The party issuing the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestMarginRetracted complexType; see XML source
marginCallReceiverPartyReference (in collateralProposalStatus) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CollateralProposalStatus complexType; see XML source
marginCallReceiverPartyReference (in disputeNotification) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DisputeNotification complexType; see XML source
marginCallReceiverPartyReference (in disputeRetracted) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DisputeRetracted complexType; see XML source
marginCallReceiverPartyReference (in marginCallStatus) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarginCallStatus complexType; see XML source
marginCallReceiverPartyReference (in marginCallStatusRetracted) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarginCallStatusRetracted complexType; see XML source
marginCallReceiverPartyReference (in requestCollateralAcceptance) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestCollateralAcceptance complexType; see XML source
marginCallReceiverPartyReference (in requestMargin) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestMargin complexType; see XML source
marginCallReceiverPartyReference (in requestMarginRetracted) | The party receiving the margin call.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestMarginRetracted complexType; see XML source
marginCallResponseReason | Defines a list of collateral response reason codes.
Type: | MarginCallResponseReason
Content: | complex, 3 elements
Defined: | locally witnin MarginCallStatus complexType; see XML source
marginCallResult |
Type: | MarginCallResult
Content: | complex, 3 elements
Defined: | locally witnin RequestMargin complexType; see XML source
marginCallStatus |
Type: | MarginCallStatus
Content: | complex, 3 attributes, 19 elements
Defined: | globally; see XML source
Used: | never
marginCallStatusRetracted |
Type: | MarginCallStatusRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
marginException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
marginRequirement |
Type: | MarginRequirement
Content: | complex, 3 elements
Defined: | locally witnin RequestMargin complexType; see XML source
marginTerm |
Type: | MarginTerm
Content: | complex, 4 elements
Defined: | locally witnin MarginDetails.model group; see XML source
marketValue (in cash defined in ProposedCollateralDeliveryReturn complexType) | The value of the proposed collateral movement prior to the application of any haircut amount.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
marketValue (in letterOfCredit) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin LetterOfCredit complexType; see XML source
marketValue (in security) |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin SecurityDeliveryReturn complexType; see XML source
markToMarket |
Type: | MarkToMarket
Content: | complex, 2 elements
Defined: | locally witnin MarginDetails.model group; see XML source
method (defined in InterestPaymentDetails complexType) |
Type: | InterestMethodEnum
Content: | simple
Defined: | locally witnin InterestPaymentDetails complexType; see XML source
minimumTransferAmount |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TransferDetails.model group; see XML source
netOpenPosition | A portfolio level Independent Amounts related to a Parties Net Open Position (NOP).
Type: | IndependentAmountType
Content: | complex, 4 elements
Defined: | locally witnin AggregatedIndependentAmount complexType; see XML source
netTreatment |
Type: | NetTreatment
Content: | complex, 1 element
Defined: | locally witnin BothDirectionsInterestRequirement complexType; see XML source
nominalAmount (in cash defined in ProposedCollateralDeliveryReturn complexType) | The amount of cash to be moved.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
nominalAmount (in security) | nominal amount of the collateral to be moved.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin NominalAmount.model group; see XML source
numberOfUnits (in security) | The number of units (index or securities).
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin UnitContract.model group; see XML source
obligatedPartyReference | The party that is obligated..
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin MarkToMarketExposureParty.model group; see XML source
observedRate (in dailyInterestCalculation) |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
openingPrincipalAmount |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
paymentAmount (defined in HeldCollateral complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin HeldCollateral complexType; see XML source
paymentAmount (defined in IndependentAmountType complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin IndependentAmountType complexType; see XML source
paymentAmount (in pendingCollateral) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PendingCollateral complexType; see XML source
paymentDetails (in grossTreatment) |
Type: | InterestPaymentDetails
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin GrossTreatment complexType; see XML source
paymentDetails (in netTreatment) |
Type: | InterestPaymentDetails
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin NetTreatment complexType; see XML source
paymentDetails (in singleTreatment) |
Type: | InterestPaymentDetails
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin SingleTreatment complexType; see XML source
pendingCollateral | pending collateral
Type: | PendingCollateral
Content: | complex, 3 elements
Defined: | locally witnin MarginCollateral complexType; see XML source
postingPartyReference | The party posting the collateral.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin HeldCollateral complexType; see XML source
principalMovement |
Type: | PrincipalMovement
Content: | complex, 6 elements
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
proposalApproved |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ProposedCollateralResponse complexType; see XML source
rate (in withholdingTaxTerms) |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin WithholdingTaxTerms complexType; see XML source
reasonCode (defined in CollateralRetractionReason complexType) | reason codes that specify the reason for retraction
Type: | CollateralRetractionReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin CollateralRetractionReason complexType; see XML source
reasonCode (in collateralResponseReason) | standard reason codes used for the collateral response message
Type: | CollateralResponseReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin CollateralResponseReason complexType; see XML source
reasonCode (in interestResponseReason) | standard reason codes used for the response to the interest notification.
Type: | InterestResponseReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin InterestResponseReason complexType; see XML source
reasonCode (in marginCallResponseReason) | reason codes used in the margin call response
Type: | MarginCallResponseReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin MarginCallResponseReason complexType; see XML source
reasonCode (in substitutionResponseReason) | standard reason codes used for the substitution response message
Type: | SubstitutionResponseReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin SubstitutionResponseReason complexType; see XML source
receiverPartyReference (in interestStatement) | The party receiving the interest statement.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatement complexType; see XML source
receiverPartyReference (in interestStatus) | The party receiving the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatus complexType; see XML source
receiverPartyReference (in interestStatusRetracted) | The party receiving the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestStatusRetracted complexType; see XML source
receiverPartyReference (in requestInterest) | The party receiving the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestInterest complexType; see XML source
receiverPartyReference (in requestInterestRetracted) | The party receiving the interest notification.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestInterestRetracted complexType; see XML source
receivingPartyReference (defined in DeliverReturn.model group) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DeliverReturn.model group; see XML source
receivingPartyReference (defined in InterestAccrued complexType) | The party delivering the accrued interest.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestAccrued complexType; see XML source
receivingPartyReference (defined in ProposedCollateralDeliveryReturn complexType) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ProposedCollateralDeliveryReturn complexType; see XML source
released |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin SubstitutionConfirmation complexType; see XML source
requestCollateralAcceptance |
Type: | RequestCollateralAcceptance
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
requestInterest |
Type: | RequestInterest
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
requestInterestRetracted |
Type: | RequestInterestRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
requestMargin |
Type: | RequestMargin
Content: | complex, 3 attributes, 22 elements
Defined: | globally; see XML source
Used: | never
requestMarginRetracted |
Type: | RequestMarginRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
requestSubstitution |
Type: | RequestSubstitution
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Used: | never
requestSubstitutionRetracted |
Type: | RequestSubstitutionRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
resolutionCode | reason codes that specify the reason for the dispute
Type: | DisputeResolutionCode
Content: | simple, 1 attribute
Defined: | locally witnin DisputeResolutionMethod complexType; see XML source
return (defined in ExpectedCollateralDeliveryReturn complexType) |
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin ExpectedCollateralDeliveryReturn complexType; see XML source
return (defined in ProposedCollateral complexType) |
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin ProposedCollateral complexType; see XML source
return (defined in ProposedCollateral complexType) | proposed collateral to be returned
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin ProposedCollateral complexType; see XML source
return (defined in SubstituteCollateral complexType) | return details for substitute collateral
Type: | ProposedCollateralDeliveryReturn
Content: | complex, 5 elements
Defined: | locally witnin SubstituteCollateral complexType; see XML source
return (defined in VariationRequirement complexType) |
Type: | MarginRequirementReturn
Content: | complex, 4 elements
Defined: | locally witnin VariationRequirement complexType; see XML source
return (defined in VariationRequirement complexType) | variation margin to be returned
Type: | MarginRequirementReturn
Content: | complex, 4 elements
Defined: | locally witnin VariationRequirement complexType; see XML source
returnConfirmationStatus |
Type: | SubstituteReturnConfirmationStatus
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
security |
Type: | SecurityDeliveryReturn
Content: | complex, 9 elements
Defined: | locally witnin ProposedCollateralDeliveryReturn complexType; see XML source
securityType | Specifies a security as type of expected collateral.
Type: | SecurityType
Content: | complex, 1 element
Defined: | locally witnin ExpectedCollateralDelivery complexType; see XML source
segregatedIndependentAmount (defined in AgreedAmount complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AgreedAmount complexType; see XML source
segregatedIndependentAmount (defined in AgreedAmount complexType) | segregated independent amount part of the agreed amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AgreedAmount complexType; see XML source
segregatedIndependentAmount (defined in SubstitutionConfirmationDetails.model group) |
Type: | SubstitutionConfirmation
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionConfirmationDetails.model group; see XML source
segregatedIndependentAmount (defined in SubstitutionConfirmationDetails.model group) | segregated independent amount details for substitute collateral
Type: | SubstitutionConfirmation
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionConfirmationDetails.model group; see XML source
segregatedIndependentAmount (in collateral defined in MarginDetails.model group) |
Type: | MarginCollateral
Content: | complex, 3 elements
Defined: | locally witnin CollateralBalance complexType; see XML source
segregatedIndependentAmount (in collateral defined in MarginDetails.model group) | segregated independent amount part of the collateral balance.
Type: | MarginCollateral
Content: | complex, 3 elements
Defined: | locally witnin CollateralBalance complexType; see XML source
segregatedIndependentAmount (in collateralProposalStatus) |
Type: | ProposedCollateralResponse
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateralResponse.model group; see XML source
segregatedIndependentAmount (in collateralProposalStatus) | segregated independent amount details for proposed collateral response
Type: | ProposedCollateralResponse
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateralResponse.model group; see XML source
segregatedIndependentAmount (in disputeNotification) |
Type: | DisputedCollateral
Content: | complex, 3 elements
Defined: | locally witnin DisputedDetails.model group; see XML source
segregatedIndependentAmount (in disputeNotification) | segregated independent amount details
Type: | DisputedCollateral
Content: | complex, 3 elements
Defined: | locally witnin DisputedDetails.model group; see XML source
segregatedIndependentAmount (in expectedCollateral in requestMargin) |
Type: | ExpectedCollateralDeliveryReturn
Content: | complex, 2 elements
Defined: | locally witnin ExpectedCollateral complexType; see XML source
segregatedIndependentAmount (in expectedCollateral in requestMargin) | segregated independent amount part of the expected collateral.
Type: | ExpectedCollateralDeliveryReturn
Content: | complex, 2 elements
Defined: | locally witnin ExpectedCollateral complexType; see XML source
segregatedIndependentAmount (in interestRequirement in interestStatement) |
Type: | InterestStatementDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestStatementRequirement complexType; see XML source
segregatedIndependentAmount (in interestRequirement in interestStatement) | segregated independent amount details for the interest statement
Type: | InterestStatementDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestStatementRequirement complexType; see XML source
segregatedIndependentAmount (in interestRequirement in requestInterest) |
Type: | InterestDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestRequirement complexType; see XML source
segregatedIndependentAmount (in interestRequirement in requestInterest) | segregated independent amount details for the interest direction
Type: | InterestDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestRequirement complexType; see XML source
segregatedIndependentAmount (in interestStatus) |
Type: | InterestResponse
Content: | complex, 2 elements
Defined: | locally witnin InterestResponseDetails.model group; see XML source
segregatedIndependentAmount (in interestStatus) | segregated independent amount details for the interest reponse
Type: | InterestResponse
Content: | complex, 2 elements
Defined: | locally witnin InterestResponseDetails.model group; see XML source
segregatedIndependentAmount (in marginCallResult) |
Type: | VariationResult
Content: | complex, 3 elements
Defined: | locally witnin MarginCallResult complexType; see XML source
segregatedIndependentAmount (in marginCallResult) | summary of the segregated independent amount.
Type: | VariationResult
Content: | complex, 3 elements
Defined: | locally witnin MarginCallResult complexType; see XML source
segregatedIndependentAmount (in marginRequirement) |
Type: | VariationRequirement
Content: | complex, 3 elements
Defined: | locally witnin MarginRequirement complexType; see XML source
segregatedIndependentAmount (in marginRequirement) | segregated independent amount requirement
Type: | VariationRequirement
Content: | complex, 3 elements
Defined: | locally witnin MarginRequirement complexType; see XML source
segregatedIndependentAmount (in marginTerm) |
Type: | SegregatedIndependentAmountMarginTerm
Content: | complex, 2 elements
Defined: | locally witnin MarginTerm complexType; see XML source
segregatedIndependentAmount (in marginTerm) | segregated independent amount terms
Type: | SegregatedIndependentAmountMarginTerm
Content: | complex, 2 elements
Defined: | locally witnin MarginTerm complexType; see XML source
segregatedIndependentAmount (in requestCollateralAcceptance) |
Type: | ProposedCollateral
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateral.model group; see XML source
segregatedIndependentAmount (in requestCollateralAcceptance) | segregated independent amount details for proposed collateral
Type: | ProposedCollateral
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateral.model group; see XML source
segregatedIndependentAmount (in requestSubstitution) |
Type: | SubstituteCollateral
Content: | complex, 4 elements
Defined: | locally witnin SubstitutionDetails.model group; see XML source
segregatedIndependentAmount (in requestSubstitution) | segregated independent amount details for substitute collateral
Type: | SubstituteCollateral
Content: | complex, 4 elements
Defined: | locally witnin SubstitutionDetails.model group; see XML source
segregatedIndependentAmount (in substitutionStatus) |
Type: | SubstitutionResponse
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionResponse.model group; see XML source
segregatedIndependentAmount (in substitutionStatus) | segregated independent amount details for substitute collateral
Type: | SubstitutionResponse
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionResponse.model group; see XML source
singleDirection (defined in InterestDirection complexType) |
Type: | SingleDirectionInterestRequirement
Content: | complex, 2 elements
Defined: | locally witnin InterestDirection complexType; see XML source
singleDirection (defined in InterestStatementDirection complexType) |
Type: | SingleDirectionInterestStatementRequirement
Content: | complex, 1 element
Defined: | locally witnin InterestStatementDirection complexType; see XML source
singleTreatment |
Type: | SingleTreatment
Content: | complex, 1 element
Defined: | locally witnin SingleDirectionInterestRequirement complexType; see XML source
spread (in dailyInterestCalculation) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DailyInterestCalculation complexType; see XML source
spread (in interestCalculationTerms) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin InterestCalculationTerms complexType; see XML source
substituteConfirmationStatus |
Type: | SubstituteReturnConfirmationStatus
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
substitutionAmount |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin SubstituteCollateral complexType; see XML source
substitutionApproved |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin SubstitutionResponse complexType; see XML source
substitutionIssuerPartyReference (defined in SubstituteReturnConfirmationStatus complexType) | The party issuing the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstituteReturnConfirmationStatus complexType; see XML source
substitutionIssuerPartyReference (in requestSubstitution) | The party issuing the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestSubstitution complexType; see XML source
substitutionIssuerPartyReference (in requestSubstitutionRetracted) | The party issuing the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestSubstitutionRetracted complexType; see XML source
substitutionIssuerPartyReference (in substitutionStatus) | The party issuing the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstitutionStatus complexType; see XML source
substitutionIssuerPartyReference (in substitutionStatusRetracted) | The party issuing the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstitutionStatusRetracted complexType; see XML source
substitutionReceiverPartyReference (defined in SubstituteReturnConfirmationStatus complexType) | The party receiving the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstituteReturnConfirmationStatus complexType; see XML source
substitutionReceiverPartyReference (in requestSubstitution) | The party receiving the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestSubstitution complexType; see XML source
substitutionReceiverPartyReference (in requestSubstitutionRetracted) | The party receiving the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestSubstitutionRetracted complexType; see XML source
substitutionReceiverPartyReference (in substitutionStatus) | The party receiving the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstitutionStatus complexType; see XML source
substitutionReceiverPartyReference (in substitutionStatusRetracted) | The party receiving the substitution request.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstitutionStatusRetracted complexType; see XML source
substitutionResponseReason |
Type: | SubstitutionResponseReason
Content: | complex, 3 elements
Defined: | locally witnin SubstitutionResponse complexType; see XML source
substitutionStatus |
Type: | SubstitutionStatus
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
substitutionStatusRetracted |
Type: | SubstitutionStatusRetracted
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
takerPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GiverTaker.model group; see XML source
threshold |
Type: | Threshold
Content: | complex, 2 elements
Defined: | locally witnin VariationMarginTerm complexType; see XML source
trade (in independentAmount defined in MarginDetails.model group) | This is the total Independent Amount defined in the confirmations of individual trades.
Type: | IndependentAmountType
Content: | complex, 4 elements
Defined: | locally witnin AggregatedIndependentAmount complexType; see XML source
transferRounding |
Type: | TransferRounding
Content: | complex, 2 elements
Defined: | locally witnin TransferDetails.model group; see XML source
type (in threshold) |
Type: | ThresholdTypeEnum
Content: | simple
Defined: | locally witnin Threshold complexType; see XML source
unitPrice | The price of each unit.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin UnitContract.model group; see XML source
valuationDate (in disputeNotification) | Close of business date the local counterparty is valuing and issuing the margin call.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DisputeNotification complexType; see XML source
valuationDate (in marginCallStatus) | Close of business date the local counterparty is valuing and issuing the margin call.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MarginCallStatus complexType; see XML source
valuationDate (in requestMargin) | Close of business date the local counterparty is valuing and issuing the margin call.
Type: | xsd:date
Content: | simple
Defined: | locally witnin RequestMargin complexType; see XML source
valueAtRisk | A portfolio level Independent Amount that reflects portfolio change over a short time period using statistical techniques such as volatility and risk factor correlations.
Type: | IndependentAmountType
Content: | complex, 4 elements
Defined: | locally witnin AggregatedIndependentAmount complexType; see XML source
valueDate (in cash defined in ProposedCollateralDeliveryReturn complexType) | The date on which the proposed collateral will be settled .
Type: | xsd:date
Content: | simple
Defined: | locally witnin CashDeliveryReturn complexType; see XML source
valueDate (in letterOfCredit) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin LetterOfCredit complexType; see XML source
valueDate (in security) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin SecurityDeliveryReturn complexType; see XML source
variationMargin (defined in AgreedAmount complexType) | variation margin part of the agreed amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AgreedAmount complexType; see XML source
variationMargin (defined in SubstitutionConfirmationDetails.model group) | variation margin details for substitute collateral
Type: | SubstitutionConfirmation
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionConfirmationDetails.model group; see XML source
variationMargin (in collateral defined in MarginDetails.model group) | variation margin part of the collateral balance.
Type: | MarginCollateral
Content: | complex, 3 elements
Defined: | locally witnin CollateralBalance complexType; see XML source
variationMargin (in collateralProposalStatus) | variation margin details for proposed collateral response
Type: | ProposedCollateralResponse
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateralResponse.model group; see XML source
variationMargin (in disputeNotification) | variation margin details
Type: | DisputedCollateral
Content: | complex, 3 elements
Defined: | locally witnin DisputedDetails.model group; see XML source
variationMargin (in expectedCollateral in requestMargin) | variation margin part of the expected collateral.
Type: | ExpectedCollateralDeliveryReturn
Content: | complex, 2 elements
Defined: | locally witnin ExpectedCollateral complexType; see XML source
variationMargin (in interestRequirement in interestStatement) | variation margin details for the interest statement
Type: | InterestStatementDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestStatementRequirement complexType; see XML source
variationMargin (in interestRequirement in requestInterest) | variation margin details for the interest direction
Type: | InterestDirection
Content: | complex, 2 elements
Defined: | locally witnin InterestRequirement complexType; see XML source
variationMargin (in interestStatus) | variation margin details for the interest reponse
Type: | InterestResponse
Content: | complex, 2 elements
Defined: | locally witnin InterestResponseDetails.model group; see XML source
variationMargin (in marginCallResult) | summary of the variation margin.
Type: | VariationResult
Content: | complex, 3 elements
Defined: | locally witnin MarginCallResult complexType; see XML source
variationMargin (in marginRequirement) | variation margin requirement
Type: | VariationRequirement
Content: | complex, 3 elements
Defined: | locally witnin MarginRequirement complexType; see XML source
variationMargin (in marginTerm) | variation margin terms
Type: | VariationMarginTerm
Content: | complex, 3 elements
Defined: | locally witnin MarginTerm complexType; see XML source
variationMargin (in requestCollateralAcceptance) | variation margin details for proposed collateral
Type: | ProposedCollateral
Content: | complex, 3 elements
Defined: | locally witnin ProposedCollateral.model group; see XML source
variationMargin (in requestSubstitution) | variation margin details for substitute collateral
Type: | SubstituteCollateral
Content: | complex, 4 elements
Defined: | locally witnin SubstitutionDetails.model group; see XML source
variationMargin (in substitutionStatus) | variation margin details for substitute collateral
Type: | SubstitutionResponse
Content: | complex, 2 elements
Defined: | locally witnin SubstitutionResponse.model group; see XML source
withholdingTax | Specifies the amount of tax withheld.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InterestAccrued complexType; see XML source
withholdingTaxTerms | Specifies the terms of the tax withholding.
Type: | WithholdingTaxTerms
Content: | complex, 2 elements
Defined: | locally witnin InterestAccrued complexType; see XML source

Complex Type Summary
AggregatedIndependentAmount |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
AgreedAmount |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
Assets |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 6 locations
BothDirectionsInterestRequirement |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
BothDirectionsInterestStatementRequirement |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CashDeliveryReturn |
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
CashType | Specifies cash currency as type of expected collateral.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CollateralBalance |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CollateralProposalStatus |
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CollateralResponseReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CollateralResponseReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CollateralRetractionReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations
CollateralRetractionReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DailyInterestCalculation |
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location
DisputedCollateral |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
DisputeNotification |
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
DisputeResolutionCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DisputeResolutionMethod |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DisputeRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ExpectedCollateral | Expected Collateral allows for the definition of collateral that the party making the margin call would prefer to receive or have returned.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ExpectedCollateralDelivery |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ExpectedCollateralDeliveryReturn |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
ExpectedCollateralReturn |
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | never
Exposure | Consists of two elements, the first MarkToMarkExposureParty supports the definition of which party is the exposed party and which is the obligated party.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
GrossTreatment |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
HeldCollateral |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
IndependentAmountType |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
InterestAccrued |
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 4 locations
InterestCalculationDetails |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
InterestCalculationTerms |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
InterestDirection |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
InterestPaymentDetails |
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
InterestPeriod |
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 2 locations
InterestRequirement |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
InterestResponse |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
InterestResponseReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
InterestResponseReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
InterestStatement |
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
InterestStatementDirection |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
InterestStatementRequirement |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
InterestStatus |
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
InterestStatusRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
LcSummary | A basic set of fields to identify an LC.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
LetterOfCredit | Defines a letter of credit.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
LetterOfCreditType | Specifies a letter of credit as type of expected collateral.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MarginCallResponseReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MarginCallResponseReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MarginCallResult | This composite type is an aggregation of the data supplied in the Margin Requirement composite type.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MarginCallStatus |
Content: | complex, 3 attributes, 19 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
MarginCallStatusRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MarginCollateral |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
MarginRequirement |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MarginRequirementDeliver |
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
MarginRequirementReturn |
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | at 2 locations
MarginTerm | Margin Terms can be defined as they apply to Variation Margin and/or Segregated Independent Amount.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
MarkToMarket | The net market value of the portfolio in base currency
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NetTreatment |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PendingCollateral |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PrincipalMovement |
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
ProposedCollateral |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
ProposedCollateralDeliveryReturn |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 7 locations
ProposedCollateralResponse |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
RequestCollateralAcceptance |
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
RequestInterest |
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
RequestInterestRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
RequestMargin |
Content: | complex, 3 attributes, 22 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location
RequestMarginRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
RequestSubstitution |
Content: | complex, 3 attributes, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
RequestSubstitutionRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SecurityDeliveryReturn |
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
SecurityType | Specifies security as type of expected collateral.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SegregatedIndependentAmountMarginTerm |
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 2 locations
SingleDirectionInterestRequirement |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SingleDirectionInterestStatementRequirement |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SingleTreatment |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SubstituteCollateral |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
SubstituteReturnConfirmationStatus |
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
SubstitutionConfirmation |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
SubstitutionResponse |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
SubstitutionResponseReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SubstitutionResponseReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SubstitutionStatus |
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
SubstitutionStatusRetracted |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Threshold |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TransferRounding |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
VariationMarginTerm |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VariationRequirement |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
VariationResult |
Content: | complex, 3 elements
Defined: | globally; see XML source
Used: | at 3 locations
WithholdingTaxTerms |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Element Group Summary
DeliverReturn.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
DisputedDetails.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GiverTaker.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
InterestResponseDetails.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MarginCallResult.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MarginDetails.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
MarkToMarketExposureParty.model | Specifies which party is the exposed party and which is the obligated party.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NominalAmount.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ProposedCollateral.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ProposedCollateralResponse.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SubstitutionConfirmationDetails.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SubstitutionDetails.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SubstitutionResponse.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TransferDetails.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
UnitContract.model | A group which has unit based trade elements (copied from FpML Extensions 2.2 - fpmlext-repo.xsd).
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:include schemaLocation="fpml-reconciliation-5-3.xsd"/> <!-- **********************--> <!-- Margin Call Process --> <!-- **********************--> <!-- MC1 Margin Call Message Definition --> <xsd:complexType name="RequestMargin"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Close of business date the local counterparty is valuing and issuing the margin call. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Denomination currency as specified in the margin agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="MarginDetails.model"/> <xsd:element minOccurs="0" name="marginRequirement" type="MarginRequirement"/> <xsd:element minOccurs="0" name="marginCallResult" type="MarginCallResult"/> <xsd:element minOccurs="0" name="expectedCollateral" type="ExpectedCollateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> Structure that allows for the definition of collateral that the party making the margin call would prefer to receive or have returned. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="assets" type="Assets"> <xsd:annotation> <xsd:documentation>The list of assets to be moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- MC2 Rescind Margin Call Message Definition --> <xsd:complexType name="RequestMarginRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral retraction reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- Margin Call Response (full agreement: MC3b / full dispute: MC5 / partial dispute: MC6) Message Definition --> <xsd:complexType name="MarginCallStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Close of business date the local counterparty is valuing and issuing the margin call. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Denomination currency as specified in the margin agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="MarginDetails.model"/> <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="marginCallResponseReason" type="MarginCallResponseReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral response reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- MC3c Propose Collateral Message Definition --> <xsd:complexType name="RequestCollateralAcceptance"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="ProposedCollateral.model"/> <xsd:element name="assets" type="Assets"> <xsd:annotation> <xsd:documentation>The list of assets to be moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- MC4 Rescind Margin Call Response Definition --> <xsd:complexType name="MarginCallStatusRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- accept (MC7) and reject (MC8) proposed collateral: combined Response Message Definition --> <xsd:complexType name="CollateralProposalStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="ProposedCollateralResponse.model"/> <xsd:element name="assets" type="Assets"> <xsd:annotation> <xsd:documentation>The list of assets to be moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- MC11 Acknowledge Dispute Message Definition --> <xsd:complexType name="DisputeNotification"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation>References the legal agreement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Close of business date the local counterparty is valuing and issuing the margin call. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Denomination currency as specified in the margin agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="DisputedDetails.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DisputeRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the margin call.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- ***********************--> <!-- Substitution Process --> <!-- ***********************--> <!-- CS1 Request Substitution Message Definition --> <xsd:complexType name="RequestSubstitution"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party issuing the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation>The party receiving the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="SubstitutionDetails.model"/> <xsd:element minOccurs="0" name="assets" type="Assets"> <xsd:annotation> <xsd:documentation xml:lang="en">The list of assets being moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- Rescind Request Substitution Message Definition --> <xsd:complexType name="RequestSubstitutionRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral retraction reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- CS2 Agree Collateral Substitution / CS5 Reject Collateral Substitution Message Definition --> <xsd:complexType name="SubstitutionStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="SubstitutionResponse.model"/> <xsd:element minOccurs="0" name="assets" type="Assets"> <xsd:annotation> <xsd:documentation xml:lang="en">The list of assets being moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- Rescind Response to Request Substitution Message Definition --> <xsd:complexType name="SubstitutionStatusRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral retraction reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- CS3 Confirm Substitution Message Definition / CS4 Confirm Collateral Returned Message Definition --> <xsd:complexType name="SubstituteReturnConfirmationStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the substitution request.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="SubstitutionConfirmationDetails.model"/> <xsd:element minOccurs="0" name="assets" type="Assets"> <xsd:annotation> <xsd:documentation xml:lang="en">The list of assets being moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- ******************--> <!-- Interest Process --> <!-- ******************--> <!-- IN1 Interest Notification Message Definition --> <xsd:complexType name="RequestInterest"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestRequirement" type="InterestRequirement"/> <xsd:element minOccurs="0" name="comment" type="xsd:string"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- Rescind Interest Notification Message Definition --> <xsd:complexType name="RequestInterestRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral retraction reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- IN2 Matched Acceptance / IN3 Reject Value Date / IN5 Dispute Interest Messages Definition --> <xsd:complexType name="InterestStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="InterestResponseDetails.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- Rescind Response to Interest Notification Message Definition --> <xsd:complexType name="InterestStatusRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the interest notification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of collateral retraction reason codes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- IN1 Interest Notification Message Definition --> <xsd:complexType name="InterestStatement"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party issuing the interest statement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party receiving the interest statement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestRequirement" type="InterestStatementRequirement"/> <!-- the content model is essentially the same as for the interest notification (IN1) except that NO treatment is needed for the Interest Statement --> <xsd:element minOccurs="0" name="comment" type="xsd:string"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- GENERAL Type Definitions --> <xsd:complexType name="AgreedAmount"> <xsd:choice> <xsd:sequence> <xsd:group ref="GiverTaker.model"/> <xsd:element name="variationMargin" type="Money"> <xsd:annotation> <xsd:documentation>variation margin part of the agreed amount.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="Money"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="Money"> <xsd:annotation> <xsd:documentation> segregated independent amount part of the agreed amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="AggregatedIndependentAmount"> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="trade" type="IndependentAmountType"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the total Independent Amount defined in the confirmations of individual trades. This would relate to the same Independent Amount defined in other FpML messages aggregated for a specific agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valueAtRisk" type="IndependentAmountType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A portfolio level Independent Amount that reflects portfolio change over a short time period using statistical techniques such as volatility and risk factor correlations. These amounts reflect the summation of independent Amounts due to Party A or Party B. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="netOpenPosition" type="IndependentAmountType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A portfolio level Independent Amounts related to a Parties Net Open Position (NOP). Net Open Position means the total of the Net Long FX and the Net Options in respect of each currency where: Net Long FX for any currency shall be the net amount (if any) of that currency which the Party "A" is long as against Party "B" in respect of all FX transactions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="Assets"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="underlyingAsset"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BothDirectionsInterestRequirement"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="netTreatment" type="NetTreatment"/> <xsd:element minOccurs="0" name="grossTreatment" type="GrossTreatment"/> </xsd:choice> <xsd:element maxOccurs="2" minOccurs="0" name="interestAccrued" type="InterestAccrued"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BothDirectionsInterestStatementRequirement"> <xsd:sequence> <!-- no treatment for the interest statement --> <xsd:element maxOccurs="2" minOccurs="0" name="interestAccrued" type="InterestAccrued"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Refers to the asset which specifies the currency of the cash being delivered or returned. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nominalAmount" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The amount of cash to be moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the proposed collateral will be settled . </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the proposed collateral movement prior to the application of any haircut amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount to which the collaterals market value will be discounted to take into account the ability to realize the value of that collateral. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the value of the proposed collateral after the application of the haircut. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies cash currency as type of expected collateral. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CollateralBalance"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="MarginCollateral"> <xsd:annotation> <xsd:documentation>variation margin part of the collateral balance.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="MarginCollateral"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="MarginCollateral"> <xsd:annotation> <xsd:documentation> segregated independent amount part of the collateral balance. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="DailyInterestCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationDate" type="xsd:date"/> <xsd:sequence minOccurs="0"> <xsd:sequence minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="openingPrincipalAmount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="principalMovement" type="PrincipalMovement"/> </xsd:sequence> </xsd:sequence> <xsd:element minOccurs="0" name="effectivePrincipalAmount" type="NonNegativeDecimal"/> </xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="observedRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> </xsd:sequence> <xsd:element minOccurs="0" name="effectiveRate" type="PositiveDecimal"/> </xsd:sequence> <xsd:element minOccurs="0" name="accruedInterestAmount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="cumulativeInterestAmount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DisputedCollateral"> <xsd:sequence> <xsd:element minOccurs="0" name="disputedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is confirmation of the amount being disputed this would be the difference between the undisputed amount and the call amount from the requestMargin message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="disputeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the date from which the Dispute is deemed by the sending party to have occurred on. It can be used for dispute aging purposes. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="disputeResolutionMethod" type="DisputeResolutionMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The disputeResolutionMethod can consist of either a resolutionCode and description, a resolution code only or a description only. The purpose of this element is to be able to provide details of how the dispute differences will be resolved. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExpectedCollateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> Expected Collateral allows for the definition of collateral that the party making the margin call would prefer to receive or have returned. This can be defined for the Variation Requirement and /or the Segregated Independent Amount Requirement. For deliveries only the type of cash i.e. USD or security type i.e. US Treasuries is expected to be defined. For the return the calling party will know what they posted and therefore can define the expected collateral down to the specific instrument identifier, currency and amount. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="ExpectedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation>variation margin part of the expected collateral.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation> segregated independent amount part of the expected collateral. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ExpectedCollateralDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="deliver" type="ExpectedCollateralDelivery"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExpectedCollateralDelivery"> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="cashType" type="CashType"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies cash as type of expected collateral.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="securityType" type="SecurityType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a security as type of expected collateral. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="letterOfCreditType" type="LetterOfCreditType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a letter of credit as type of expected collateral. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ExpectedCollateralReturn"> <xsd:sequence> <xsd:group ref="DeliverReturn.model"/> <xsd:group ref="BondChoice.model"/> <!-- references FpML's bond or convertibleBond underlyer --> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Exposure"> <xsd:annotation> <xsd:documentation xml:lang="en"> Consists of two elements, the first MarkToMarkExposureParty supports the definition of which party is the exposed party and which is the obligated party. Within FpML it is important to state both parties roll in the exposure details to avoid ambiguity. The parties referenced should be one of those defined in the Parties element. Therefore if Party A is the exposed party there Party Reference ID would be quoted and Party B would be the obligated party. The second element is the exposureAmount this is the amount to which the exposed party is exposed. This uses the Money type that can take but an amount and a currency. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="MarkToMarketExposureParty.model"/> <xsd:element minOccurs="0" name="exposureAmount" type="Money"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GrossTreatment"> <xsd:sequence> <xsd:element maxOccurs="2" minOccurs="0" name="paymentDetails" type="InterestPaymentDetails"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="HeldCollateral"> <xsd:sequence> <xsd:element minOccurs="0" name="holdingPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party holding the collateral.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="postingPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party posting the collateral.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="IndependentAmountType"> <xsd:sequence> <xsd:group ref="GiverTaker.model"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> <xsd:element minOccurs="0" name="convention" type="IndependentAmountConventionEnum"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestAccrued"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party delivering the accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party delivering the accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interest" type="Money"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="withholdingTax" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the amount of tax withheld.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="withholdingTaxTerms" type="WithholdingTaxTerms"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the terms of the tax withholding.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="interestCalculationTerms" type="InterestCalculationTerms"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the terms of the interest calculations.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="interestCalculationDetails" type="InterestCalculationDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> Details optional calculations for each day of the interest period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestCalculationDetails"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dailyInterestCalculation" type="DailyInterestCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the interest calculations for one day of the interest period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestCalculationTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationType" type="InterestCalculationTypeEnum"/> <xsd:element minOccurs="0" name="index" type="FloatingRateIndex"/> <!-- reusing FpML Floating Rate Index Scheme floating-rate-index-2-2.xml--> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestDirection"> <xsd:choice> <xsd:element minOccurs="0" name="singleDirection" type="SingleDirectionInterestRequirement"/> <xsd:element minOccurs="0" name="bothDirections" type="BothDirectionsInterestRequirement"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="InterestPaymentDetails"> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="method" type="InterestMethodEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestPeriod"> <xsd:sequence> <xsd:group ref="Period.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestRequirement"> <xsd:sequence> <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="InterestDirection"> <xsd:annotation> <xsd:documentation> variation margin details for the interest direction </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestDirection"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="InterestDirection"> <xsd:annotation> <xsd:documentation> segregated independent amount details for the interest direction </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestResponse"> <xsd:sequence> <xsd:element minOccurs="0" name="interestApproved" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="interestResponseReason" type="InterestResponseReason"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestStatementDirection"> <xsd:choice> <xsd:element minOccurs="0" name="singleDirection" type="SingleDirectionInterestStatementRequirement"/> <xsd:element minOccurs="0" name="bothDirections" type="BothDirectionsInterestStatementRequirement"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="InterestStatementRequirement"> <!-- the content model is essentially the same as for the interestRequirement (used by IN1) except that NO treatment is needed for the Interest Statement --> <xsd:sequence> <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="InterestStatementDirection"> <xsd:annotation> <xsd:documentation> variation margin details for the interest statement </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestStatementDirection"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="InterestStatementDirection"> <xsd:annotation> <xsd:documentation> segregated independent amount details for the interest statement </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LcSummary"> <!-- Type borrowed from FpML 4.7 Loan definitions (fpml-loan-4-7.xsd). Expected to be present/refactored in FpML 5.2 --> <xsd:annotation> <xsd:documentation xml:lang="en"> A basic set of fields to identify an LC. Please note that the partyReference within the contract identifier should refer to the Issuing Bank. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="identifier" type="ContractIdentifier"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LetterOfCredit"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a letter of credit.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="LcSummary"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="LetterOfCreditType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a letter of credit as type of expected collateral. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MarginCallResult"> <xsd:annotation> <xsd:documentation xml:lang="en"> This composite type is an aggregation of the data supplied in the Margin Requirement composite type. It allows for the sum of the deliver and return requirements in to a single Margin Call Amount for Segregated Independent Amount and/or Variation Margin.. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="VariationResult"> <xsd:annotation> <xsd:documentation>summary of the variation margin.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="VariationResult"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="VariationResult"> <xsd:annotation> <xsd:documentation>summary of the segregated independent amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="MarginCollateral"> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="2" name="pendingCollateral" type="PendingCollateral"> <xsd:annotation> <xsd:documentation>pending collateral</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" minOccurs="0" name="heldCollateral" type="HeldCollateral"/> </xsd:sequence> <xsd:element maxOccurs="2" name="heldCollateral" type="HeldCollateral"> <xsd:annotation> <xsd:documentation>held collateral</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="MarginRequirement"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="VariationRequirement"> <xsd:annotation> <xsd:documentation>variation margin requirement</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="VariationRequirement"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="VariationRequirement"> <xsd:annotation> <xsd:documentation>segregated independent amount requirement</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="MarginRequirementDeliver"> <xsd:sequence> <xsd:group ref="DeliverReturn.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MarginRequirementReturn"> <xsd:sequence> <xsd:group ref="DeliverReturn.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MarginTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Margin Terms can be defined as they apply to Variation Margin and/or Segregated Independent Amount. For Variation Margin Terms a threshold, minimumTransferAmount and transferRounding are defined. For Segregated Independent Amount it is only necessary to provide a minimumTransferAmount and transferRounding. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="VariationMarginTerm"> <xsd:annotation> <xsd:documentation>variation margin terms</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"> <xsd:annotation> <xsd:documentation>segregated independent amount terms</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MarkToMarket"> <xsd:annotation> <xsd:documentation xml:lang="en"> The net market value of the portfolio in base currency </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="2" minOccurs="0" name="exposure" type="Exposure"/> <xsd:element minOccurs="0" name="convention" type="MarkToMarketConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the exposure should be treated on a net or gross basis. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="NetTreatment"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDetails" type="InterestPaymentDetails"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PendingCollateral"> <xsd:sequence> <xsd:group ref="GiverTaker.model"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PrincipalMovement"> <xsd:sequence> <xsd:group ref="PaymentDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ProposedCollateral"> <xsd:choice> <xsd:sequence> <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation>proposed collateral to be delivered</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="return" type="ProposedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation>proposed collateral to be returned</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ProposedCollateralDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="cash" type="CashDeliveryReturn"/> <xsd:element minOccurs="0" name="security" type="SecurityDeliveryReturn"/> <xsd:element minOccurs="0" name="letterOfCredit" type="LetterOfCredit"/> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ProposedCollateralResponse"> <xsd:sequence> <xsd:element minOccurs="0" name="proposalApproved" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralResponseReason" type="CollateralResponseReason"/> <xsd:element minOccurs="0" name="expectedCollateral" type="ExpectedCollateralDeliveryReturn"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SecurityDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AssetReference"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> <xsd:choice> <xsd:group ref="NominalAmount.model"/> <xsd:group ref="UnitContract.model"/> </xsd:choice> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SecurityType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies security as type of expected collateral. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SegregatedIndependentAmountMarginTerm"> <xsd:sequence> <xsd:group ref="TransferDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SingleDirectionInterestRequirement"> <xsd:sequence> <xsd:element minOccurs="0" name="singleTreatment" type="SingleTreatment"/> <xsd:element minOccurs="0" name="interestAccrued" type="InterestAccrued"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SingleDirectionInterestStatementRequirement"> <xsd:sequence> <!-- no treatment for the interest statement --> <xsd:element minOccurs="0" name="interestAccrued" type="InterestAccrued"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SingleTreatment"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDetails" type="InterestPaymentDetails"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SubstituteCollateral"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element name="return" type="ProposedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation>return details for substitute collateral</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliver" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"> <xsd:annotation> <xsd:documentation>return details for substitute collateral</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="substitutionAmount" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SubstitutionResponse"> <xsd:sequence> <xsd:element minOccurs="0" name="substitutionApproved" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="substitutionResponseReason" type="SubstitutionResponseReason"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SubstitutionConfirmation"> <xsd:sequence> <xsd:element minOccurs="0" name="released" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Threshold"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="type" type="ThresholdTypeEnum"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TransferRounding"> <xsd:sequence> <xsd:element minOccurs="0" name="direction" type="RoundingDirectionEnum"/> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="VariationMarginTerm"> <xsd:sequence> <xsd:element minOccurs="0" name="threshold" type="Threshold"/> <xsd:group ref="TransferDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="VariationRequirement"> <xsd:choice> <xsd:sequence> <xsd:element name="deliver" type="MarginRequirementDeliver"> <xsd:annotation> <xsd:documentation>variation margin to be delivered</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="return" type="MarginRequirementReturn"/> </xsd:sequence> <xsd:element name="return" type="MarginRequirementReturn"> <xsd:annotation> <xsd:documentation>variation margin to be returned</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="VariationResult"> <xsd:group ref="MarginCallResult.model"/> </xsd:complexType> <xsd:complexType name="WithholdingTaxTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="jurisdiction" type="CountryCode"/> <!-- referencing Country Code Scheme --> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/> </xsd:sequence> </xsd:complexType> <!-- Reason Code Definitions --> <xsd:complexType name="CollateralResponseReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="CollateralResponseReasonCode"> <xsd:annotation> <xsd:documentation> standard reason codes used for the collateral response message </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="CollateralResponseReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-response-reason" name="collateralResponseReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CollateralRetractionReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="CollateralRetractionReasonCode"> <xsd:annotation> <xsd:documentation> reason codes that specify the reason for retraction </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="CollateralRetractionReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-retraction-reason" name="collateralRetractionReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DisputeResolutionMethod"> <xsd:choice> <xsd:sequence> <xsd:element name="resolutionCode" type="DisputeResolutionCode"> <xsd:annotation> <xsd:documentation> reason codes that specify the reason for the dispute </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="DisputeResolutionCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-dispute-resolution-method-reason" name="collateralDisputeResolutionMethodReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="InterestResponseReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="InterestResponseReasonCode"> <xsd:annotation> <xsd:documentation> standard reason codes used for the response to the interest notification. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="InterestResponseReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-interest-response-reason" name="collateralInterestResponseReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MarginCallResponseReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="MarginCallResponseReasonCode"> <xsd:annotation> <xsd:documentation>reason codes used in the margin call response</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="MarginCallResponseReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-margin-call-response-reason" name="collateralMarginCallResponseReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SubstitutionResponseReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="SubstitutionResponseReasonCode"> <xsd:annotation> <xsd:documentation> standard reason codes used for the substitution response message </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="SubstitutionResponseReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-substitution-response-reason" name="collateralSubstitutionResponseReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- Enumerations are located in fpml-enum.xsd: IndependentAmountConventionEnum, MarkToMarketConventionEnum, ThresholdTypeEnum, InterestCalculationTypeEnum, InterestMethodEnum --> <!-- Model Groups --> <xsd:group name="DeliverReturn.model"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:group> <xsd:group name="DisputedDetails.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="DisputedCollateral"> <xsd:annotation> <xsd:documentation>variation margin details</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="DisputedCollateral"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="DisputedCollateral"> <xsd:annotation> <xsd:documentation>segregated independent amount details</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="GiverTaker.model"> <xsd:sequence> <xsd:element minOccurs="0" name="giverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="takerPartyReference" type="PartyReference"/> </xsd:sequence> </xsd:group> <xsd:group name="InterestResponseDetails.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="InterestResponse"> <xsd:annotation> <xsd:documentation>variation margin details for the interest reponse</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestResponse"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="InterestResponse"> <xsd:annotation> <xsd:documentation> segregated independent amount details for the interest reponse </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="MarginCallResult.model"> <xsd:sequence> <xsd:group ref="GiverTaker.model"/> <xsd:element minOccurs="0" name="marginCallAmount" type="Money"/> </xsd:sequence> </xsd:group> <xsd:group name="MarginDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="markToMarket" type="MarkToMarket"/> <xsd:element minOccurs="0" name="independentAmount" type="AggregatedIndependentAmount"/> <!-- collision with existing FpML IndependentAmount, temp renamed AggregatedIndependentAmount - request coord advice --> <xsd:element minOccurs="0" name="marginTerm" type="MarginTerm"/> <xsd:element minOccurs="0" name="collateral" type="CollateralBalance"/> <!-- collision with existing FpML Collateral, temp renamed CollateralBalance - request coord advice --> </xsd:sequence> </xsd:group> <xsd:group name="MarkToMarketExposureParty.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies which party is the exposed party and which is the obligated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="exposedPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party that is exposed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="obligatedPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party that is obligated..</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="NominalAmount.model"> <xsd:sequence> <xsd:element minOccurs="0" name="nominalAmount" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">nominal amount of the collateral to be moved.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dirtyPrice" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Bond dirty price, expressed in percentage points, 100 is the initial value of the bond. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="ProposedCollateral.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="ProposedCollateral"> <xsd:annotation> <xsd:documentation>variation margin details for proposed collateral</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="ProposedCollateral"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="ProposedCollateral"> <xsd:annotation> <xsd:documentation> segregated independent amount details for proposed collateral </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="ProposedCollateralResponse.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="ProposedCollateralResponse"> <xsd:annotation> <xsd:documentation> variation margin details for proposed collateral response </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="ProposedCollateralResponse"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="ProposedCollateralResponse"> <xsd:annotation> <xsd:documentation> segregated independent amount details for proposed collateral response </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="SubstitutionConfirmationDetails.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="SubstitutionConfirmation"> <xsd:annotation> <xsd:documentation> variation margin details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SubstitutionConfirmation"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="SubstitutionConfirmation"> <xsd:annotation> <xsd:documentation> segregated independent amount details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="SubstitutionDetails.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="SubstituteCollateral"> <xsd:annotation> <xsd:documentation> variation margin details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SubstituteCollateral"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="SubstituteCollateral"> <xsd:annotation> <xsd:documentation> segregated independent amount details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="SubstitutionResponse.model"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="SubstitutionResponse"> <xsd:annotation> <xsd:documentation> variation margin details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SubstitutionResponse"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="SubstitutionResponse"> <xsd:annotation> <xsd:documentation> segregated independent amount details for substitute collateral </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="TransferDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="minimumTransferAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="transferRounding" type="TransferRounding"/> </xsd:sequence> </xsd:group> <xsd:group name="UnitContract.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group which has unit based trade elements (copied from FpML Extensions 2.2 - fpmlext-repo.xsd). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfUnits" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The number of units (index or securities).</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unitPrice" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The price of each unit.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!-- Collateral Messages --> <xsd:annotation> <xsd:documentation xml:lang="en">Collateral Messages</xsd:documentation> </xsd:annotation> <!-- Margin Call Process --> <xsd:element name="requestMargin" type="RequestMargin"/> <!-- MC1 --> <xsd:element name="requestMarginRetracted" type="RequestMarginRetracted"/> <!-- MC2 --> <xsd:element name="marginAcknowledgement" type="Acknowledgement"/> <xsd:element name="marginException" type="Exception"/> <xsd:element name="marginCallStatus" type="MarginCallStatus"/> <!-- MC3b/5/6 --> <xsd:element name="marginCallStatusRetracted" type="MarginCallStatusRetracted"/> <!-- MC4 --> <xsd:element name="requestCollateralAcceptance" type="RequestCollateralAcceptance"/> <!-- MC3c --> <xsd:element name="collateralAcceptanceAcknowledgement" type="Acknowledgement"/> <xsd:element name="collateralAcceptanceException" type="Exception"/> <xsd:element name="collateralProposalStatus" type="CollateralProposalStatus"/> <!-- MC7/MC8 --> <xsd:element name="disputeNotification" type="DisputeNotification"/> <!-- MC11 --> <xsd:element name="disputeRetracted" type="DisputeRetracted"/> <xsd:element name="disputeAcknowledgement" type="Acknowledgement"/> <xsd:element name="disputeException" type="Exception"/> <!-- Substitution Process --> <xsd:element name="requestSubstitution" type="RequestSubstitution"/> <!-- CS1 --> <xsd:element name="requestSubstitutionRetracted" type="RequestSubstitutionRetracted"/> <xsd:element name="substitutionStatus" type="SubstitutionStatus"/> <!-- CS2/CS5 --> <xsd:element name="substitutionStatusRetracted" type="SubstitutionStatusRetracted"/> <xsd:element name="substituteConfirmationStatus" type="SubstituteReturnConfirmationStatus"/> <!-- CS3 --> <xsd:element name="returnConfirmationStatus" type="SubstituteReturnConfirmationStatus"/> <!-- CS4 --> <!-- Interest Process --> <xsd:element name="requestInterest" type="RequestInterest"/> <!-- IN1 --> <xsd:element name="requestInterestRetracted" type="RequestInterestRetracted"/> <xsd:element name="interestStatus" type="InterestStatus"/> <!-- IN2 --> <xsd:element name="interestStatusRetracted" type="InterestStatusRetracted"/> <xsd:element name="interestStatement" type="InterestStatement"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.